<?php
/**
 * remove reply link
 */
function root_comment_reply_link_change_to_span( $link ) {
    global $user_ID;

    if ( get_option( 'comment_registration' ) && ! $user_ID )
        return $link;
    else
        $link = str_replace( '<a', '<span', $link );
        $link = str_replace( '</a>', '</span>', $link );
        $link = str_replace( "rel=\"nofollow\"", "", $link );
        $link = str_replace( 'href=', 'data-href=', $link );
    return $link;
}
add_filter( 'comment_reply_link', 'root_comment_reply_link_change_to_span' );



/**
 * comment form field order
 */
add_filter('comment_form_fields', 'root_reorder_comment_fields' );
function root_reorder_comment_fields( $fields ){
    $new_fields = array();

    $myorder = array( 'author','email','url','comment' );

    foreach( $myorder as $key ){
        $new_fields[ $key ] = $fields[ $key ];
        unset( $fields[ $key ] );
    }

    if( $fields )
        foreach( $fields as $key => $val )
            $new_fields[ $key ] = $val;

    return $new_fields;
}


/**
 * Comments
 */
function root_vetteo_comment($comment, $args, $depth) {
    global $post;
    // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited
    $GLOBALS['comment'] = $comment;

    $is_show_comments_date = ( 'yes' == root_get_option( 'comments_date' ) ); ?>

<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>" itemprop="comment" itemscope itemtype="http://schema.org/Comment">
    <div class="comment-box" id="comment-<?php comment_ID(); ?>">

        <div class="comment-header">

            <div class="comment-avatar">
                <?php echo get_avatar($comment,$size='50'); ?>
            </div>

            <div class="comment-meta">

                <?php
                if ($comment->user_id) {
                    $userdata=get_userdata($comment->user_id);
                    echo '<cite class="comment-author" itemprop="creator">' . esc_html( $userdata->display_name ) . '</cite>';
                } else {

                    $comment_url = get_comment_author_url($comment->user_id);
                    if (!empty($comment_url)) $microformat_comment_url = ' data-href="' . esc_url( $comment_url ) . '"';
                    else $microformat_comment_url = '';

                    if (!empty($comment_url)) {
                        $goto = str_replace('http://', '_', $comment_url);
                        $goto = str_replace('https://', '_', $goto);
                        // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                        echo '<cite class="comment-author spanlink js-link" itemprop="creator"' . $microformat_comment_url . ' target="_blank">' . esc_html( get_comment_author( $comment->user_id ) ) . '</cite>';
                    } else {
                        echo '<cite class="comment-author" itemprop="creator">' . esc_html( get_comment_author( $comment->user_id ) ) . '</cite>';
                    }
                }
                ?>

                <?php if ( $comment->user_id === $post->post_author ) echo '<span class="comment-author-post">(' . esc_html__('Author', 'root-lite') . ')</span>'; ?>

                <?php if ( $is_show_comments_date ) { ?>
                    <time class="comment-time" itemprop="datePublished" datetime="<?php comment_date('Y-m-d') ?>"><?php comment_date('d.m.Y') ?> <?php comment_time('H:i') ?></time>
                <?php } ?>

            </div>

        </div>

        <div class="comment-body">
            <?php if ($comment->comment_approved == '0') : ?>
                <p><em><?php esc_html_e('Your comment is awaiting moderation.', 'root-lite') ?></em></p>
            <?php endif; ?>
            <div class="comment-text" itemprop="text"><?php comment_text() ?></div>
            <div class="comment-footer">
                <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
            </div>
        </div>
    </div>

    <?php
}
