jQuery(function($) {
    "use strict";


    /**
     * Tables responsive
     */
    $('.entry-content table').wrap( $("<div class='table-responsive' />") );

    
    /**
     * Single paged
     */
    if ( $('body').hasClass('single-paged') ) {
        var destination = $('#main').offset().top;
        $('html,body').animate( { scrollTop: destination }, 800 );
    }


    /**
     * Menu
     */
    var $hamburger = $('.mob-hamburger');
    var $menu = $('#site-navigation');
    var $header_menu = $('#header_menu');
    var $top_menu = $('#top_menu');

    var $to_mob_menu = $top_menu.clone();
    $to_mob_menu.find('li').addClass('only-hamburger');

    $hamburger.on('click', function(){
        $hamburger.toggleClass('active');
        $menu.slideToggle();
    });


    /**
     * Mob menu transfer
     */
    $header_menu.prepend( $to_mob_menu.html() );


    /**
     * Scroll to top
     */
    $(".js-scrolltop").click(function () {
        return $("body,html").animate({
            scrollTop: 0
        }, 500), !1
    }), $(window).scroll(function () {
        $(this).scrollTop() > 100 ? $(".js-scrolltop").fadeIn() : $(".js-scrolltop").fadeOut()
    });


    /**
     * Dropdown menu
     */
    var timer;
    var width = $(window).width();

    if ( width > 991 ) {

        jQuery('#site-navigation .menu-item a, #site-navigation .menu-item .removed-link').hover(
            function () {
                jQuery(this).parent().parent().find('.sub-menu:visible').hide();
                jQuery(this).parent().find('.sub-menu:first').show();
                clearTimeout(timer);
            },
            function () {
            }
        );

        jQuery('#site-navigation').hover(function () {
            clearTimeout(timer);
        }, function () {
            timer = setTimeout(hideMenu, 400);
        });

    }

    function hideMenu() {
        jQuery('#site-navigation .menu-item .sub-menu').slideUp(200);
    }



    if ( width <= 991 ) {

        $(document).on('click', '#site-navigation .menu-item-has-children', function (e) {
            if ( e.target.nodeName != 'A' && e.target.nodeName != 'a' ) {
                e.stopPropagation();
                $(this).toggleClass('open');
                $(this).find('.sub-menu:first').slideToggle();
                console.log($(this).html())
            }
        });

    }

    /**
     * Social link share
     */
    $('.js-share-link').click(function(){
        if ( ! $(this).hasClass('js-share-link-no-window') ) {
            openWin($(this).data("uri"));
        } else {
            window.location.href = $(this).data("uri");
        }
    });

    function openWin( url ) {
        var features, w = 626, h = 436;
        var top = (screen.height - h)/2, left = (screen.width - w)/2;
        if(top < 0) top = 0;
        if(left < 0) left = 0;
        features = 'top=' + top + ',left=' +left;
        features += ',height=' + h + ',width=' + w + ',resizable=no';
        open(url, 'displayWindow', features);
    }

    /**
     * Smiles
     */
    $('.js-comment-smiles img').click(function(){
        var $this = $(this);
        $('#comment').val( $('#comment').val() + ' ' + $this.prop('alt') + '' );
    });


    /**
     * Adaptive videos
     */
    responsiveIframe();
    $(window).on('resize', function(){
        responsiveIframe();
    });

    function responsiveIframe() {
        $('.entry-content iframe, .responsive-iframe iframe').each(function(){

            if ( $(this).parents('.not-responsive').length ) return;
            if ( $(this).width() <= $(this).parent().width() ) return;

            var iw = $(this).width();
            var ih = $(this).height();
            var ip = $(this).parent().width();
            var ipw = ip/iw;
            var ipwh = Math.round(ih*ipw);
            $(this).css({
                'width': ip,
                'height' : ipwh
            });
        });
    }

});