<?php
/**
 * ****************************************************************************
 *
 *   НЕ РЕДАКТИРУЙТЕ ЭТОТ ФАЙЛ
 *
 *   ВНИМАНИЕ!!!!!!!
 *
 *   НЕ РЕДАКТИРУЙТЕ ЭТОТ ФАЙЛ
 *   ПРИ ОБНОВЛЕНИИ ТЕМЫ - ВЫ ПОТЕРЯЕТЕ ВСЕ ВАШИ ИЗМЕНЕНИЯ
 *   ИСПОЛЬЗУЙТЕ ДОЧЕРНЮЮ ТЕМУ ИЛИ НАСТРОЙКИ ТЕМЫ В АДМИНКЕ
 *
 *   ПОДБРОБНЕЕ:
 *   https://docs.wpshop.ru/child-themes/
 *
 * *****************************************************************************
 *
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Root
 */

global $big_thumbnail_image;

$is_show_excerpt = 'yes' == root_get_option( 'structure_single_excerpt' );
$is_show_thumb = 'yes' == root_get_option( 'structure_single_thumb' ) && 'checked' != get_post_meta( $post->ID, 'thumb_hide', true );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <?php if ( ! $big_thumbnail_image ): ?>

        <header class="entry-header">
            <?php do_action( 'root_single_before_title' ); ?>
            <?php the_title( '<h1 class="entry-title" itemprop="headline">', '</h1>' ); ?>
            <?php do_action( 'root_single_after_title' ); ?>

            <?php
                $excerpt = get_the_excerpt();
                if ( has_excerpt() ) {
                    do_action( 'root_single_before_excerpt' );
                    // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                    echo '<div class="entry-excerpt">' . $excerpt . '</div>';
                    do_action( 'root_single_after_excerpt' );
                }
            ?>

            <?php if ( 'post' === get_post_type() ) : ?>
            <div class="entry-meta">
                <?php get_template_part( 'template-parts/post', 'meta' ) ?>
            </div><!-- .entry-meta -->
            <?php endif; ?>
        </header><!-- .entry-header -->


        <?php $thumb = get_the_post_thumbnail( $post->ID, 'full', array('itemprop'=>'image') ); if ( $is_show_thumb && ! empty($thumb)): ?>
            <div class="entry-image">
                <?php
                // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                echo $thumb ?>
            </div>
        <?php else: ?>
            <div class="page-separator"></div>
        <?php endif; ?>

    <?php else: ?>

        <?php
        $excerpt = get_the_excerpt();
        if ( has_excerpt() && $is_show_excerpt ) {
            do_action( 'root_single_before_excerpt' );
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
            echo '<div class="entry-excerpt">' . $excerpt . '</div>';
            do_action( 'root_single_after_excerpt' );
        }
        ?>

    <?php endif; ?>

	<div class="entry-content" itemprop="articleBody">
		<?php

            do_action( 'root_single_before_the_content' );
			the_content();
            do_action( 'root_single_after_the_content' );

			wp_link_pages( array(
				'before'        => '<div class="page-links">' . esc_html__( 'Pages:', 'root-lite' ),
				'after'         => '</div>',
                'link_before'   => '<span class="page-links__item">',
                'link_after'    => '</span>',
			) );
		?>
	</div><!-- .entry-content -->
</article><!-- #post-## -->

<?php echo do_shortcode( root_get_option( 'code_after_content' ) ) ?>

<div class="entry-footer">
    <span class="entry-meta__comments" title="<?php esc_attr_e( 'Comments', 'root-lite' ) ?>"><span class="fa fa-comment-o"></span> <?php echo esc_html( get_comments_number() ) ?></span>

    <?php if ( function_exists('the_views') ) { ?><span class="entry-meta__views" title="<?php esc_attr_e( 'Views', 'root-lite' ) ?>"><span class="fa fa-eye"></span> <?php the_views() ?></span><?php } ?>

    <?php
    $post_tags = get_the_tags();
    if ( $post_tags ) {
        foreach( $post_tags as $_tag ) {
            echo '<a href="'. esc_url( get_tag_link( $_tag->term_id ) ) .'" class="entry-meta__tag">'. esc_html( $_tag->name ) . '</a> ';
        }
    }
    ?>

</div>

<div class="b-share b-share--post">
    <?php if ( apply_filters( 'root_social_share_title_show', true ) ) : ?>
    <div class="b-share__title"><?php echo esc_html( apply_filters( 'root_social_share_title', __('Like this post? Please share to your friends:', 'root-lite') ) ) ?></div>
    <?php endif; ?>

    <?php get_template_part( 'template-parts/social', 'buttons' ) ?>
</div>


<?php do_action( 'root_single_before_related' ); ?>
<?php get_template_part( 'template-parts/related', 'posts' ) ?>
<?php do_action( 'root_single_after_related' ); ?>

<?php
/**
 * Theme feature: support microdata
 */
?>
<meta itemscope itemprop="mainEntityOfPage" itemType="https://schema.org/WebPage" itemid="<?php the_permalink() ?>"/>
<meta itemprop="dateModified" content="<?php the_modified_time( get_option( 'date_format' ) ) ?>"/>
<meta itemprop="datePublished" content="<?php the_time( get_option( 'date_format' ) ) ?>"/>
